package zemplen.ui;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import static hibergui.HiberGUI.*;
import hibergui.hibernate.HibernateForm;
import hibergui.property.StringEdit;

import zemplen.model.NevezesStatusz;

/**
 * @author espakm
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class NevezesStatuszForm extends HibernateForm<NevezesStatusz> {
    
    StringEdit eElnevezes;
    
    public NevezesStatuszForm(Composite cptParent, int mode) {
        super(cptParent, mode);

        setWindowTitle("Nevezési státuszok");
    }
    
    @Override
    protected Composite createFields(Composite cptParent) {
        Composite cptFields = new Composite(cptParent, SWT.BORDER);
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 2;
        cptFields.setLayout(gridLayout);
        
        GridData data;
        
        new Label(cptFields, SWT.NONE).setText("Elnevezés:");
        eElnevezes = new StringEdit(this, cptFields, NONE, "elnevezes", "elnevezés");
        data = new GridData(GridData.FILL_HORIZONTAL);
        eElnevezes.setLayoutData(data);
        
        return cptFields;
    }
    
    @Override
    protected void createColumnsForTable() {
        addColumn(SWT.LEFT, "elnevezes", "Elnevezés", 200);
    }
}
